Package org.globus.ftp.dc

# Class StreamAsciiDCWriter

java.lang.Object
org.globus.ftp.dc.StreamImageDCWriter
org.globus.ftp.dc.StreamAsciiDCWriter

All Implemented Interfaces:
  `DataChannelWriter`

public class StreamAsciiDCWriter extends StreamImageDCWriter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AsciiTranslator`
`translator`

### Fields inherited from class org.globus.ftp.dc.StreamImageDCWriter

`output`

## Constructor Summary

Constructors
Constructor
Description
`StreamAsciiDCWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(Buffer buffer)`

### Methods inherited from class org.globus.ftp.dc.StreamImageDCWriter

`close, endOfData, setDataStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### translator

protected AsciiTranslator translator

## Constructor Details

### StreamAsciiDCWriter

public StreamAsciiDCWriter()

## Method Details

### write

public void write(Buffer buffer) throws IOException

Specified by:
  `write` in interface `DataChannelWriter`
Overrides:
  `write` in class `StreamImageDCWriter`
Throws:
  `IOException`